import request from '@/utils/request'

// 查询校园新闻列表
export function listNotice(query) {
  return request({
    url: '/xiaoYuan/notice/list',
    method: 'get',
    params: query
  })
}


export function listNoticesc(query) {
  return request({
    url: '/xiaoYuan/notice/collect',
    method: 'get',
    params: query
  })
}


export function listNoticef(query) {
  return request({
    url: '/xiaoYuan/notice/myList',
    method: 'get',
    params: query
  })
}

export function listNoticefanq(query) {
  return request({
    url: '/system/xiaoYuanInfo/list',
    method: 'get',
    params: query
  })
}




// export function listNoticef(query) {
//   return request({
//     url: '/xiaoYuan/notice/myList',
//     method: 'get',
//     params: query
//   })
// }



// 查询校园新闻详细
export function getNotice(noticeId) {
  return request({
    url: '/xiaoYuan/notice/' + noticeId,
    method: 'get'
  })
}

// 新增校园新闻
export function addNotice(data) {
  return request({
    url: '/xiaoYuan/notice',
    method: 'post',
    data: data
  })
}

export function addNotices(data) {
  return request({
    url: '/system/xiaoYuanInfo',
    method: 'post',
    data: data
  })
}



// 修改校园新闻
export function updateNotice(data) {
  return request({
    url: '/system/xiaoYuanInfo/put',
    method: 'post',
    data: data
  })
}

export function updateNotices(data) {
  return request({
    url: '/xiaoYuan/notice/put',
    method: 'post',
    data: data
  })
}

// 删除校园新闻
export function delNotice(noticeId) {
  return request({
    url: '/xiaoYuan/notice/delete/' + noticeId,
    method: 'get'
  })
}

// 删除安全新闻
export function delNoticeanq(noticeId) {
  return request({
    url: '/system/xiaoYuanInfo/delete/' + noticeId,
    method: 'get'
  })
}
